# Class DrawBoxOptions

#### Hierarchy

- DrawBoxOptions

- Defined in draw/DrawBox.ts:13

#####
Index

### Constructors

constructor

### Properties

boxColor
drawLabelOptions
label?
lineWidth

## Constructors

### constructor

- new DrawBoxOptions(options?: IDrawBoxOptions): DrawBoxOptions

- #### Parameters

  - ##### options: IDrawBoxOptions = {}

  #### Returns DrawBoxOptions

  - Defined in draw/DrawBox.ts:22

## Properties

### boxColor

boxColor: string

- Defined in draw/DrawBox.ts:14

### drawLabelOptions

drawLabelOptions: DrawTextFieldOptions

- Defined in draw/DrawBox.ts:18

### `Optional` label

label?: string

- Defined in draw/DrawBox.ts:20

### lineWidth

lineWidth: number

- Defined in draw/DrawBox.ts:16